Moving average with variable period

- « trader_mama

- trader_max »

- PHP Manual
- Trader Functions
- Moving average with variable period

# trader_mavp

(PECL trader >= 0.2.0)

trader_mavp — Moving average with variable period

### Description

trader_mavp(
array `$real`,
array `$periods`,
int `$minPeriod` = ?,
int `$maxPeriod` = ?,
int `$mAType` = ?
): array

### Parameters

`real`

  Array of real values.

`periods`

  Array of real values.

`minPeriod`

  Value less than minimum will be changed to Minimum period. Valid range from 2 to 100000

`maxPeriod`

  Value higher than minimum will be changed to Maximum period. Valid range from 2 to 100000

`mAType`

  Type of Moving Average. TRADER_MA_TYPE_* series of constants should be used.

### Return Values

Returns an array with calculated data or false on failure.